export function durationToString(from, to) {
    from = new Date(from)
    to = new Date(to)

    let s = to.getTime() - from.getTime()

    const millis = s % 1000
    s = (s - millis) / 1000
    if (s === 0) return `${millis}ms`

    const seconds = s % 60
    s = (s - seconds) / 60
    if (s === 0) return `${seconds}s${millis}ms`

    const minutes = s % 60
    s = (s - minutes) / 60
    if (s === 0) return `${minutes}s${seconds}s`

    const hours = s
    return `${hours}h${minutes}m`
}
