import { inspect } from 'util'

export const debugToString = (value: any) =>
    typeof value === 'string' ? value : inspect(value, false, 5, true)

export const debug = (...args: any[]) => {
    process.stderr.write(args.map(arg => debugToString(arg)).join(' ') + '\n')
}
